AvisFormation.WebUi/AvisFormation.WebUi/Models/LaisserUnAvisViewModel.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace AvisFormation.WebUi.Models
{
    public class LaisserUnAvisViewModel
    {
        public string FormationName { get; set; }
        public string NomSeo { get; set; }
    }
}

AvisFormation.WebUi/AvisFormation.WebUi/Controllers/AvisController.cs
using AvisFormation.Data;
using AvisFormation.Logic;
using AvisFormation.WebUi.Models;
using Microsoft.AspNet.Identity;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AvisFormation.WebUi.Controllers
{
    public class AvisController : Controller
    {
        // GET: Avis
        [Authorize]
        public ActionResult LaisserUnAvis(string nomSeo)
        {

            var vm = new LaisserUnAvisViewModel();
            vm.NomSeo = nomSeo;
            using (var context = new AvisEntities())
            {
                var formationEntity = context.Formation.FirstOrDefault(f => f.NomSeo == nomSeo);
                if (formationEntity == null)
                    return RedirectToAction("Accueil", "Home");

                // Vérification de l'unicité d'un commentaire
                var userId = User.Identity.GetUserId();

                var mgerUnicite = new UniqueAvisVerification();
                if (!mgerUnicite.EstAutoriseACommenter(userId, formationEntity.Id))
                {
                    TempData["Message"] = "Désolé, un seul avis par formation par compte utilisateur !";
                    return RedirectToAction("DetailsFormation", "Formation", new { nomSeo = nomSeo });
                }

                vm.FormationName = formationEntity.Nom;
            }
             return View(vm);
        }
        // public ActionResult SaveComment(string commentaire,string nom, string note,string nomSeo)
        [HttpPost]
        [Authorize]
        [ValidateAntiForgeryToken]
        public ActionResult SaveComment(SaveCommentViewModel comment)
        {
            using (var context = new AvisEntities())
            {
                var formationEntity = context.Formation.FirstOrDefault(f => f.NomSeo == comment.NomSeo);
                if (formationEntity == null)
                    return RedirectToAction("Accueil", "Home");

                Avis nouvelAvis = new Avis();
                nouvelAvis.DateAvis = DateTime.Now;
                var userId = User.Identity.GetUserId();

                /*
                var mgerUnicite = new UniqueAvisVerification();
                if(!mgerUnicite.EstAutoriseACommenter(userId,formationEntity.Id))
                {
                    TempData["Message"] = "Désolé, un seul avis par formation par compte utilisateur !";
                    return RedirectToAction("DetailsFormation", "Formation", new { nomSeo = comment.NomSeo });
                }
                */
                var mger = new PersonneManager();
                nouvelAvis.Nom = mger.GetNomFromUserId(userId);

                if (comment.Commentaire.Length > 500)
                    comment.Commentaire = comment.Commentaire.Substring(0, 500);

                nouvelAvis.Description = comment.Commentaire;
                nouvelAvis.UserId = userId;

                double dNote = 0;

                if (!double.TryParse(comment.Note, NumberStyles.Any, CultureInfo.InvariantCulture, out dNote))
                {
                    throw new Exception("Impossible de parser la note " + comment.Note);
                }

                nouvelAvis.Note = dNote;
                nouvelAvis.IdFormation = formationEntity.Id;
               
                context.Avis.Add(nouvelAvis);
                context.SaveChanges();
            }
            return RedirectToAction("DetailsFormation","Formation",new { nomSeo = comment.NomSeo });
        }
    }
}

AvisFormation.WebUi/AvisFormation.WebUi/Views/Avis/LaisserUnAvis.cshtml
@model  AvisFormation.WebUi.Models.LaisserUnAvisViewModel
@{
    ViewBag.Title = "Laissez un avis sur " + Model.FormationName;
}
<div class="container bg-white padding30">


    <h2>Laissez un avis sur @Model.FormationName </h2>

    @using (Html.BeginForm("SaveComment", "Avis", FormMethod.Post))
    {
        @Html.AntiForgeryToken()
        <div class="form-group">
            <label for="commentaire">Commentaire : </label>
            <textarea id="commentaire" name="commentaire" rows="5" class="form-control"></textarea>
        </div>
        <div class="form-group">
            <label for="note">Choisissez une note pour cette formation (5 est la meilleure note): </label>
            <select name="note" id="note" class="form-control" required>
                <option>1</option>
                <option>1.5</option>
                <option>2</option>
                <option>2.5</option>
                <option>3</option>
                <option>3.5</option>
                <option>4</option>
                <option>4.5</option>
                <option>5</option>
            </select>
        </div>
        <button type="submit" class="btn btn-warning">OK</button>

        <input type="hidden" value="@Model.NomSeo" name="nomSeo" id="nomSeo" />

    }
</div>